Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class CustomizeableGradient

    java.lang.Object
      javax.faces.application.Resource
          org.richfaces.resource.AbstractBaseResource
              org.richfaces.resource.AbstractCacheableResource
                  org.ajax4jsf.resource.Java2Dresource
                      org.richfaces.renderkit.html.CustomizeableGradient

All Implemented Interfaces:
  org.richfaces.resource.CacheableResource, org.richfaces.resource.StateHolderResource

    public abstract class CustomizeableGradient

extends Java2Dresource

Author:
  Nick Belaevski - nbelaevski@exadel.com created 02.02.2007

Field Summary
`protected java.lang.Integer` | `baseColor`
`protected java.awt.Dimension` | `dimension`
`protected GradientAlignment` | `gradientAlignment`
`protected java.lang.Integer` | `gradientColor`
`protected java.lang.Integer` | `gradientHeight`
`protected GradientType` | `gradientType`

Fields inherited from class org.richfaces.resource.AbstractBaseResource
`URL_PROTOCOL`

Fields inherited from class javax.faces.application.Resource
`COMPONENT_RESOURCE_KEY`

Constructor Summary
`CustomizeableGradient()`

Method Summary
`java.lang.Integer` | `getBaseColor()`
`java.awt.Dimension` | `getDimension()` Primary calculation of image dimensions - used when HTML code is generated to render IMG's width and height Subclasses should override this method to provide correct sizes of rendered images
`GradientAlignment` | `getGradientAlignment()`
`java.lang.Integer` | `getGradientColor()`
`java.lang.Integer` | `getGradientHeight()`
`GradientType` | `getGradientType()`
`boolean` | `isCacheable()`
`protected void` | `paint(java.awt.Graphics2D g2d, java.awt.Dimension dim)` Template method for create image as Applet-like paint.
`protected void` | `paintGradient(java.awt.Graphics2D g2d, java.awt.Dimension dim)`
`void` | `readState(javax.faces.context.FacesContext context, java.io.DataInput dataInput)`
`protected static java.lang.String` | `safeTrim(java.lang.String s)`
`void` | `setBaseColor(java.lang.Integer headerGradientColor)`
`void` | `setBaseColorString(java.lang.String colorString)`
`void` | `setGradientAlignment(GradientAlignment gradientAlignment)`
`void` | `setGradientColor(java.lang.Integer headerBackgroundColor)`
`void` | `setGradientColorString(java.lang.String colorString)`
`void` | `setGradientHeight(java.lang.Integer gradientHeight)`
`void` | `setGradientType(GradientType gradientType)`
`void` | `writeState(javax.faces.context.FacesContext context, java.io.DataOutput dataOutput)`

Methods inherited from class org.ajax4jsf.resource.Java2Dresource
`decodeColor, encodeSkinParameter, getColorValueParameter, getContentType, getHeight, getImageType, getInputStream, getValueParameter, isTransient`

Methods inherited from class org.richfaces.resource.AbstractCacheableResource
`addCacheControlResponseHeaders, getEntityTag, getExpires, getTimeToLive, isCacheable, isMatchesEntityTag, isMatchesEntityTag, isMatchesLastModified, isMatchesLastModified, setCacheable, userAgentNeedsUpdate`

Methods inherited from class org.richfaces.resource.AbstractBaseResource
`addNoCacheResponseHeaders, getClassLoader, getContentLength, getLastModified, getRequestPath, getResponseHeaders, getURL`

Methods inherited from class javax.faces.application.Resource
`getLibraryName, getResourceName, setContentType, setLibraryName, setResourceName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### dimension

    protected java.awt.Dimension dimension

### gradientColor

    protected java.lang.Integer gradientColor

### baseColor

    protected java.lang.Integer baseColor

### gradientHeight

    protected java.lang.Integer gradientHeight

### gradientType

    protected GradientType gradientType

### gradientAlignment

    protected GradientAlignment gradientAlignment

Constructor Detail

### CustomizeableGradient

    public CustomizeableGradient()

Method Detail

### getDimension

    public java.awt.Dimension getDimension()

  Description copied from class: `Java2Dresource`
  Primary calculation of image dimensions - used when HTML code is generated to render IMG's width and height Subclasses should override this method to provide correct sizes of rendered images

  Specified by:
    `getDimension` in class `Java2Dresource`
  Returns:
    dimensions of the image to be displayed on page

### paint

    protected void paint(java.awt.Graphics2D g2d,
                         java.awt.Dimension dim)

  Description copied from class: `Java2Dresource`
  Template method for create image as Applet-like paint.

  Overrides:
    `paint` in class `Java2Dresource`
  Parameters:
    `g2d` - - graphics to paint.

### paintGradient

    protected void paintGradient(java.awt.Graphics2D g2d,
                                 java.awt.Dimension dim)

### readState

    public void readState(javax.faces.context.FacesContext context,
                          java.io.DataInput dataInput)
                   throws java.io.IOException

  Specified by:
    `readState` in interface `org.richfaces.resource.StateHolderResource`
  Overrides:
    `readState` in class `Java2Dresource`
  Throws:
    `java.io.IOException`

### writeState

    public void writeState(javax.faces.context.FacesContext context,
                           java.io.DataOutput dataOutput)
                    throws java.io.IOException

  Specified by:
    `writeState` in interface `org.richfaces.resource.StateHolderResource`
  Overrides:
    `writeState` in class `Java2Dresource`
  Throws:
    `java.io.IOException`

### safeTrim

    protected static java.lang.String safeTrim(java.lang.String s)

### isCacheable

    public boolean isCacheable()

### getGradientColor

    public java.lang.Integer getGradientColor()

### setGradientColor

    public void setGradientColor(java.lang.Integer headerBackgroundColor)

### setGradientColorString

    public void setGradientColorString(java.lang.String colorString)

### getBaseColor

    public java.lang.Integer getBaseColor()

### setBaseColor

    public void setBaseColor(java.lang.Integer headerGradientColor)

### setBaseColorString

    public void setBaseColorString(java.lang.String colorString)

### getGradientType

    public GradientType getGradientType()

### setGradientType

    public void setGradientType(GradientType gradientType)

### getGradientAlignment

    public GradientAlignment getGradientAlignment()

### setGradientAlignment

    public void setGradientAlignment(GradientAlignment gradientAlignment)

### getGradientHeight

    public java.lang.Integer getGradientHeight()

### setGradientHeight

    public void setGradientHeight(java.lang.Integer gradientHeight)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.